#!/usr/bin/env bash

# Directory containing Cursor AppImages
CURSOR_DIR="/home/blee/apps/cursor"

# Find the most recent Cursor AppImage
LATEST_APPIMAGE=$(ls -t "$CURSOR_DIR"/Cursor-*.AppImage | head -n 1)

# Execute the AppImage if found
if [ -n "$LATEST_APPIMAGE" ]; then
    exec "$LATEST_APPIMAGE"
else
    echo "No Cursor AppImage found in $CURSOR_DIR"
    exit 1
fi
